import { NestFactory } from '@nestjs/core';
import { AppModule } from './app.module';
import { MicroserviceOptions, Transport } from '@nestjs/microservices';
import { join } from 'path';

async function bootstrap() {
  const app = await NestFactory.createMicroservice<MicroserviceOptions>(AppModule, {
    transport: Transport.GRPC,
    options: {
      package: 'conflict_service',
      protoPath: join(__dirname, '../proto/conflict_service.proto'),
      url: '0.0.0.0:5004',
    },
  });
  await app.listen();
  console.log('conflict-service running on gRPC :5004');
}
bootstrap();
